Page MenuHomePhabricator

[clang-tools-extra] Fix overzealous linking of dylib to clangTidy
ClosedPublic

Authored by mgorny on Oct 13 2019, 2:32 AM.

Details

Summary

Fix accidentally making clangTidy library link to dylib. This causes
libclang.so to also link to dylib which results in duplicate symbols
from shared and static libraries, and effectively to registering
command-line options twice.

Thanks to Sylvestre Ledru for noticing this and tracking it down
to r373786. Fixes PR#43589.

Diff Detail

Event Timeline

mgorny created this revision.Oct 13 2019, 2:32 AM
sylvestre.ledru accepted this revision.Oct 14 2019, 11:08 PM

Thanks
It fixed my problem.

Maybe you could improve the doc and/or comment to make this behavior more explicit?

This revision is now accepted and ready to land.Oct 14 2019, 11:08 PM

Sure but what doc? The non-existing one of clang_target_link_libraries?

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptOct 15 2019, 6:05 AM

I'm not really sure what you mean me to say. That it links to clang-cpp? That's pretty much what the code says.